iT邦幫忙

0

請問在XenServer5.6上如何安裝Fedora11 ?

CLF 2010-08-27 15:50:505622 瀏覽

我下載了 Fedora11 的DVD-ISO掛上去後..
使用 Red Hat Enterprise Linux 5.4 相容環境設定.
它還有一個 Advanced OS boot parameters = graphical utf8
是什麼用途?? 好像也沒什麼可以選..
但是都啟動不起來..
錯誤訊息如圖

2 個回答

4
thx
iT邦新手 2 級 ‧ 2010-08-30 09:57:45
最佳解答

http://www.osslab.org.tw/Virtualization/Citrix\_XenServer/Basic/XenServer\_%e6%94%af%e6%8f%b4%e7%9a%84\_VM\_%e4%b8%8d%e5%a4%a0%e4%b8%8d%e5%a4%a0!!\_-\_P2V

請用這方法增加Guest os 相容性.這是Xen and KVM先天的限制
esx 相容性就非常高了,不過linux guest os 效能也許就會輸了xen 一點點

CLF iT邦新手 4 級 ‧ 2010-08-30 10:50:44 檢舉

謝謝您的回答~
但是如果連 INSTALL都無法成功..只能用Convert 的方式來轉上去..
這讓我很擔心它的相容性及穩定性..萬一要是把正式服務轉上去後..會再出現此種相容性及穩定性的問題.. 到時就求救無門了..

所以如果沒有官方的正式解法.. 我想我們應該就不會採用XenServer作為Linux 的 VMServer ..

10
patrickf127
iT邦新手 2 級 ‧ 2010-08-29 13:41:25

Hi,
I think the virtualization solution of Xenserver is a very good product for yours.

I found the guest OS support list from
http://www.citrix.com/English/ps2/products/subfeature.asp?contentID=1681139

I copy it for you.
Please refer to below,

Supported guest operating systems

Below is a list of operating systems that are supported for virtualization with XenServer.

* Microsoft Windows 64-bit: Windows Server 2008 (SP1, SP2, R2); Windows Server 2003 (Standard, Enterprise, Datacenter Edition SP2), Windows 7
* Microsoft Windows 32-bit: Windows Server 2008 (SP1, SP2); Windows Server 2003 (Web, Standard, Enterprise, Datacenter SP0, SP1, SP2, R2); Windows Small Business Server (2003 SP0, SP1, SP2, R2); Windows XP (SP2, SP3); Windows 2000 SP4; Windows Vista (original and SP1); Windows 7
* Linux 64-bit: Red Hat Enterprise Linux (5.0, 5.1, 5.2, 5.3, 5.4); CentOS (5.0, 5.1, 5.2, 5.3, 5.4); Oracle® Enterprise Linux (5.0, 5.1, 5.2, 5.3, 5.4); Novell SUSE Enterprise Linux (10 SP1, 10 SP2, 10 SP3, 11)
* Linux 32-bit: Red Hat Enterprise Linux (3.6, 3.7, 3.8, 4.5, 4.6, 4.7, 5.0, 5.1, 5.2, 5.3, 5.4; CentOS (4.5, 4.6, 4.7, 5.0, 5.1, 5.2, 5.3, 5.4); Oracle Enterprise Linux (5.0, 5.1, 5.2, 5.3, 5.4); Novell SUSE Linux Enterprise Server (9 SP1, 9 SP2, 9 SP3, 9 SP4, 10 SP1, 10 SP2, 10 SP3, 11); Debian Lenny (5.0)

CLF iT邦新手 4 級 ‧ 2010-08-30 09:24:26 檢舉

看來它的支援列表中...並沒有支援 Fedora 的 Linux 版本..
而實際安裝也都會出錯..

看來就是不支援了..

原本以為找到一個比VMware 更好的解決方案..
偏偏我們公司用的 Fedora 不支援..
看來只好回去繼續用 ESXi

謝謝回覆 ^^"

我要發表回答

立即登入回答